# Getting Started

* Create a GitHub account if you don't have one yet.
* Fork the repository on GitHub.
* Submit issue to GitHub.
* The subject shall contain summary of the issue.
* Describe the issue clearly, if it is a bug include the steps to reproduce.

# Making Changes

* Create a topic branch from the master branch to make the changes. Please do not work on master branch.
* Add tests for the changes you make.
* Run all tests before the commit to make sure nothing else broke.
* Commit changes in logical units.
* Use the following sample as guide for commit message format (#7 is the issue number in Github):
```
    GitHub-#7: description of the change.
```

# Submitting Changes

* Push changes to the topic branch in your fork of the repository.
* Submit a pull request to Guardtime repository and send link to support@guardtime.com.
* We will review the pull request in one week and provide feedback via e-mail.
* In order to merge changes, Contributor License Agreement has to be signed.